Skip to main content
PATCH
Update job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
title
string
Required string length: 1 - 200
description
string
Required string length: 1 - 50000
slug
string
Maximum string length: 200
department
string | null
Maximum string length: 20000
location
string | null
Maximum string length: 20000
employmentType
enum<string>
Available options:
full_time,
part_time,
contract,
internship
workplaceType
enum<string>
Available options:
remote,
hybrid,
onsite
status
enum<string>
Available options:
draft,
open,
closed
requirements
string | null
Maximum string length: 20000
benefits
string | null
Maximum string length: 20000
keywords
string[]
Maximum array length: 50
Required string length: 1 - 120
salaryMin
integer | null
Required range: 0 <= x <= 9007199254740991
salaryMax
integer | null
Required range: 0 <= x <= 9007199254740991
currency
string | null
Maximum string length: 8
salaryPeriod
enum<string> | null
Available options:
annual,
monthly

Response

OK

data
object
required
meta
object